/*
  ChatFrame.java

Copyright (C) 1998 Geometrek
 
 *  This file is part of DeepMatrix V1.
 *
 *  DeepMatrix V1 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  DeepMatrix V1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package matrix.chat;

import java.awt.*;
import java.applet.*;

/**
 * special Frame for Chat if run as a standalone application.
 * closes the window and stops application, if event is received.
 */
public class ChatFrame extends Frame {

  private Applet parent;

  public ChatFrame( Applet parent, String title ){
    super( title );
    this.parent = parent;
  }

  public boolean handleEvent( Event evt ){
    if( evt.id == evt.WINDOW_DESTROY ){
      parent.destroy();
      dispose();
      System.exit(0);
      return true;
    }
    return false;
  }
}
