/*
  URLTimer.java

  Copyright (C) 2005 by Russ Kinter

 *  SET Matrix 1 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  SET Matrix 1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package tools;

import java.util.*;
import java.io.*;
import java.net.*;

public class Heart implements Runnable {
private Bot deck;
private Thread runner;
private long sleepy = 5000;
 public Heart ( Bot deck, long doze ){
this.deck = deck;
sleepy = doze;
runner = new Thread( this );
	runner.start();
}
 public Heart(){
 }
 public void stop(){
 runner = null;
 }

 public void yield(){
 if(runner!=null){
    runner.yield(); 
    }
  }
 
 public void run() {
while( Thread.currentThread() == runner  ){
  try{
    deck.heartBeat();
   } 
catch( NullPointerException g ){
System.out.println("Heart error: " + g ); runner = null;
 return; }
  catch( IOException f ){runner = null; return;  }
  try{
	  Thread.sleep( sleepy );
	    }
	    catch( InterruptedException e ){}
    } 
   }
 }