/*
  FakeProxy.java

 Copyright (C) 2009 by R. Russell Kinter
 
 *  This file is part of DeepMatrixIP9.
 *
 *  DeepMatrixIP9 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  DeepMatrix IP9 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */ 

package matrix.deck;

import java.util.*;

/**
 * New 11-12-05 URLTimer is thread specified for all VRML browsers other than Cortona to load worlds, avatars, and objects incrementally.
 */

public class FakeProxy implements Runnable {
private RealTimeHandler RTH;
private Thread runner;
private boolean truth = false;
private long sleepy = 200;
 public FakeProxy ( RealTimeHandler rth, long doze ){
this.RTH = rth;
sleepy = doze;
runner = new Thread( this, "Fake_Proxy" );
start();
	}

 public FakeProxy(){
 }

/**
 * sets boolean so thread knows whether to call Beta or not to attempt createVRMLfromURL call.
 */

 public void setSleepy( long slp ){
if(slp==-1){
try{
 Thread.sleep(1000000);
 }
catch( InterruptedException e ){}
  }
else { sleepy = slp; }
 }

 public void setInterrupt(){
 System.out.println("FP setInterrupt 1");
 setSleepy( 200 );
 if(runner!=null)runner.interrupt();
 }

 public void start(){
 if(runner!=null)runner.start(); 
 }


    public void stop(){ runner = null;   
    }

 public void run(){
System.out.println("URLTimer started");
while( Thread.currentThread() == runner  ){
 RTH.checkLocations(); 
      try{
	  Thread.sleep( sleepy );
	    }
	    catch( InterruptedException e ){}
     } 
   }
 }