/*
  Chatloader.java

  Copyright (C) 2005 by Russ Kinter

 *  SET Matrix 1 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  SET Matrix 1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * New 11-12-05 ChatLoader controls the string size given to the network. It also simply creates
 * a thread in memory to prevent lock up in Internet Explorer.
*/

package matrix.deck.eai;

import java.util.*;

/**
 * New 11-12-05 Controls the amount of chat text strings that enter the network at one time.
 * @version 0.1   
 * @author Russ Kinter
 */

public class Chatloader implements Runnable {
private Beta deck;
private Thread runner;
private boolean tf2 = true; 
 public Chatloader ( Beta deck ){
this.deck = deck;
}
   public void pleaseHoldup(){
      runner.yield();
    }

   public void stopChat( boolean ft ){
     tf2 = ft;
  }

    public void start(){
      runner = new Thread( this );
   if(runner!=null){ runner.start();
     }
    }
    
    public void stop(){ runner = null;   
    }

 public void run(){
    try {
  deck.holdChat();
      }
  catch( InterruptedException e ){}
while( Thread.currentThread() == runner  ){
  try{
if(tf2==true){
 deck.setDownChat();}
else { deck.resetChat();}
	    }
	    catch( InterruptedException e ){}
    } 
}

 }