/*
  URLTimer.java

  Copyright (C) 2005 by Russ Kinter

 *  SET Matrix 1 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  SET Matrix 1 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
*/

package matrix.deck.eai;

import java.util.*;

/**
 * New 11-12-05 URLTimer is thread specified for all VRML browsers other than Cortona to load worlds, avatars, and objects incrementally.
 */

public class URLTimer implements Runnable {
private Beta deck;
private Thread runner;
private boolean truth = false;
private long sleepy = 10000;
 public URLTimer ( Beta deck, long doze ){
this.deck = deck;
sleepy = doze;
runner = new Thread( this, "URL_Timer" );
	}

 public URLTimer(){
 }

/**
 * sets boolean so thread knows whether to call Beta or not to attempt createVRMLfromURL call.
 */

 public void setTruth( boolean tf ){
 truth = tf;
  }

 public void start(){
 if(runner!=null)runner.start(); 
 }

/**
 * puts thread to sleep.
 */

public void sleepyTime(){
  try{
	  Thread.sleep( sleepy );
	    }
	    catch( InterruptedException e ){}
 }

    public void stop(){ runner = null;   
    }

 public void run(){
System.out.println("URLTimer started");
while( Thread.currentThread() == runner  ){
if(truth==true){ deck.urlTimerLoad(); }
  try{
	  Thread.sleep( sleepy );
	    }
	    catch( InterruptedException e ){}
    } 
}
 }